Next Previous Contents

## 3.107 mouse_info

> Function

>   Return the state of the mouse buttons and the position of the mouse.

> Header

>   `mouse.h`

> Declaration

>   `void __fastcall__ mouse_info (struct mouse_info* info);`

> Description

>   The function returns the state of the mouse buttons and the position of the mouse in the `mouse_info` structure passed as parameter.

> Limits

>   - The `mouse_info` struct is a superset of the `mouse_pos` struct, so if you just need the mouse position, call `mouse_pos` instead.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   mouse_buttons, mouse_pos

> Example

>   None.

Next Previous Contents